### Signal

# Gtk TextBuffer::paste-done

#### Declaration

    void
    paste_done (
      GtkTextBuffer self,
      GdkClipboard* clipboard,
      gpointer user_data
    )

#### Description [src]

Emitted after paste operation has been completed.

This is useful to properly scroll the view to the end of the pasted text. See gtk_text_buffer_paste_clipboard() for more details.

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`clipboard` | `GdkClipboard*`
| The `GdkClipboard` pasted from.
| The data is owned by the caller of the function.